/* fonts for Templates */
/* Open Sans and Merriweather */
@import url('https://fonts.googleapis.com/css2?family=Merriweather:wght@400;700&family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Questrial&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Montserrat&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@700&display=swap');
:root{
  --primary:#FFC300;
  --secondary:#142044;
  --light:#f2f2f2;
  --success: rgb(38, 216, 38);
  --lightBlue: #2079c7;
  --lightBlueTrans: #2079c7a1;
  --muted: rgb(83, 82, 82);
  --darkish: rgb(185, 183, 183);

  --font-main: 'Merriweather';
  --font-primary: 'Open Sans';
  --font-plain: 'Montserrat';
  --font-precision : 'Questrial';
  --font-heavy : 'Lato';
}
body,
html,
p,h1,h4,h5 {
  padding: 0;
  margin: 0;
}
body {
  background: var(--light);
}
/*----------------------------------------- different sizes of containers */
.container-sm {
  width: min(550px, 75%);
  margin-left: auto;
  margin-right: auto;
}
.container-md{
  width: min(800px, 87%);
  margin-left: auto;
  margin-right: auto;
}
.container-lg{
  width: 75%;
  margin-left: auto;
  margin-right: auto;
}
.w-100{
  width:100%;
}
/* Styling for the button */
.btn {
  display: block;
  padding: 0.5em;
  margin-top: 1em;
  margin-bottom: 1em;
  font-family: "Shippori Antique B1", sans-serif;
  text-transform: capitalize;
  border: 0;
  border-radius: 10px;
}
.btn-blank{
  display: block;
  margin-bottom:1em;
  border: 0;
  background-color: transparent;
  font-family: "Montserrat";
  font-size: .9rem;
  font-weight: 700;
  text-decoration: underline;
}
.btn-lg {
  font-size: 2rem;
}
.btn-accent {
  background: var(--primary);
  color: black;
  font-weight: 700;
}
.btn-accent:active{
  background:#8a6f06;
  color:white;
}
.btn-semi-dark {
  background: #142044;
  color: white;
  font-weight: 700;
}
.btn-semi-dark:active{
  background:#274294;
  color:black;
}

/* For applying transition only */
.disappear{
  transition:transform 500ms linear,
  opacity 500ms linear;
}
/* Utility Classes */
.smaller{
  font-size: .7rem;
}
.small{
  font-size: 0.9rem;
}
.medium {
  font-size: 1rem;
}
.large {
  font-size: 1.5rem;
}
.larger {
  font-size: 2.5rem;
}
.larger-2 {
  font-size: 2.8rem;
}
.text-center {
  text-align: center;
}
.text-end {
  text-align: end;
}
.text-justify{
  text-align: justify;
}
.uppercase{
  text-transform: uppercase;
}
.capitalize{
  text-transform: capitalize;
}
.f-bold {
  font-weight: bolder;
}
.border {
  border: 1px solid black;
}
.b-radius-subtle {
  border-radius: 5px;
}
.box-shadow {
  box-shadow: 0 0 15px rgba(0,0,0, 0.3);
}
.box-shadow-green{
  box-shadow: 0 0 15px var(--success);
}
.box-shadow-gold{
  box-shadow: 0 0 15px var(--primary);
}

.of-v {
  overflow: visible;
}
.of-s {
  overflow: scroll;
}
.of-h {
  overflow: hidden;
}
.d-none {
  display: none;
}
.d-block {
  display: block;
}
.d-in-block {
  display: inline-block;
}
.d-flex {
  display: flex;
}
.dir-row {
  flex-direction: row;
}
.dir-row-rev {
  flex-direction: row-reverse;
}
.dir-col {
  flex-direction: column;
}
.flex-wrap {
  flex-wrap: wrap;
}
.flex-nowrap {
  flex-wrap: wrap;
}
.justify-content-between {
  justify-content: space-between;
}
.justify-content-around {
  justify-content: space-around;
}
.justify-content-center {
  justify-content: center;
}
.align-items-center {
  align-items: center;
}
.align-items-top {
  align-items: flex-start;
}
.fb-100 {
  flex-basis: 100%;
}
.fb-80{
  flex-basis: 80%;
}
.fb-70{
  flex-basis: 70%;
}
.fb-60 {
  flex-basis: 60%;
}
.fb-50 {
  flex-basis: 50%;
}
.fb-40 {
  flex-basis: 40%;
}
.fb-30{
  flex-basis: 30%;
}
.fb-20{
  flex-basis: 20%;
}
.g-4 {
  gap: 1.5em;
}
.g-3{
  gap: 1em
}
.g-1in {
  gap: 1in;
}
.resize {
  resize: vertical;
}
.stretch{
  width: 100%;
}
.mx-auto{
  margin-left: auto;
  margin-right: auto;
}
.ms-auto{
  margin-left: auto;
}
.me-auto{
  margin-right: auto;
}
.mi-1 {
  margin-left: 0.5em;
  margin-right: 0.5em;
}
.my-2{
  margin-top: 1em;
  margin-bottom: 1em;  
}
.my-3{
  margin-top: 1.5em;
  margin-bottom: 1.5em;  
}
.my-5{
  margin-top: 2.5em;
  margin-bottom: 2.5em;  
}
.mb-1 {
  margin-bottom: 0.5em;
}
.mb-2{
  margin-bottom: 1em;  
}
.mb-3{
  margin-bottom: 1.5em;  
}
.mb-4{
  margin-bottom: 2em;  
}
.mb-5{
  margin-bottom: 2.5em;  
}
.mb-6{
  margin-bottom:3.5em;  
}
.mt-1in {
  margin-top: 1in;
}
.my-1in {
  margin-top: 1in;
  margin-bottom: 1in;
}
.m-0{
  margin: 0;
}
.py-2{
  padding-top: 2em;
  padding-bottom: 2em;
}
.py-1in {
  padding-top: .8in;
  padding-bottom: .8in;
}
.px-1in {
  padding-left: .8in;
  padding-right: .8in;
}
.pos-rel{
  position: relative;
}
/* Action related */

.contracted {
  overflow: hidden; /* Hide the element content, while height = 0 */
  max-height: 0px;
  opacity: 0;
  transition: max-height 700ms, opacity 500ms 0ms;
}
.contracted.expand {
  max-height: 10000px;
  opacity: 1;
}

/* Media Queries */
@media (min-width:656px) {
  .fb-sm-50{
    flex-basis: 50%;
  }
  .flex-sm-nowrap{
    flex-wrap: nowrap;
  }
}

*{
  -webkit-print-color-adjust: exact !important;   /* Chrome, Safari, Edge */
  -moz-print-color-adjust: exact !important;
  -o-print-color-adjust: exact !important;
  color-adjust: exact !important;                 /*Firefox*/
}
@page {
  margin: 0;
}
/* @media (max-width:856px) {
  #template{
    display:none;
  }
  .ms-auto{
    margin-left:auto;
    margin-right:auto;
  }
} */
@media print{
  body{
    background-color: transparent;
  }
  section{
    margin:0 !important;
    box-shadow: none !important;
    border-radius:0 !important ;
  }
  #template{
    /* padding: 0 !important; */
    width: 100% !important;
    height: 100% !important;

  }
  button{
    display: none !important;
  }
}